# 32/64bit spec-file
#
Summary:	A tool for creating scanners (text pattern recognizers)
Name:		flex
Version:	2.6.0
Release:	%mkrel 1
License:	BSD
Group:		Development/Other
URL: 		http://flex.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/flex/%{name}-%{version}.tar.xz
Patch1:		flex-2.5.37-libtool.patch
BuildRequires:	bison
Requires:	m4
Conflicts:	flex-reentrant
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
The flex program generates scanners. Scanners are
programs which can recognize lexical patterns in text.

Flex takes pairs of regular expressions and C code as input and
generates a C source file as output. The output file is compiled and
linked with a library to produce an executable.

The executable searches through its input for occurrences of the
regular expressions. When a match is found, it executes the
corresponding C code.

Flex was designed to work with both Yacc and Bison, and is used by
many programs as part of their build process.

You should install flex if you are going to use your system for
application development.

%prep
%setup -q
%patch1 -p1 -R

# Force regeneration of skel.c with Patch2 changes
rm -f skel.c

%build
autoreconf -fi
CFLAGS="-fPIC %optflags" %configure2_5x \
	--disable-rpath
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}


pushd %{buildroot}
ln -sf flex .%{_bindir}/lex
ln -s flex.1 .%{_mandir}/man1/lex.1
ln -s flex.1 .%{_mandir}/man1/flex++.1
popd

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/libfl*.a
%{_includedir}/FlexLexer.h
%{_infodir}/*


%changelog
* Fri Jan 08 2016 bb <bb> 2.6.0-1pclos2016
- update

* Tue Feb 05 2013 pinoc <vogtpet at gmail.com> 2.5.37-1pclos2013
- 2.5.37

* Wed Jun 15 2010 Texstar <texstar at gmail.com> 2.5.35-1pclos2010
- 2.5.35

